<?php


	# MonoCMS plugin: Classic Menu
	# author: pano z
	# version 1.1
	# plugin type: User
	# notes: Supports styling for the light and dark control panel color theme.
	
	

	$incfiles = get_included_files();

	foreach($incfiles as $file)
		if (basename($file) == 'csstheme.php') :

?>

<style>
	@charset "utf-8";
	
	.dpline{width:5px;height:5px;margin-bottom:3px;position:relative;top:0;left:5px}
	.main{margin:100px 80px 0 80px}
	.logo{margin-left:99px}
	#dropdown-content{width:50px;cursor:default;top:-2000px;position:relative;left:0;z-index:99;opacity:.975}
	#dropdown:hover #dropdown-content{top:15px;width:140px;padding:25px 0 16px 0}
	#dropdown{left:60px;height:39px;cursor:pointer;top:10px}
	#dropdown:hover{width:45px}
	.expandmenu{height:21px;top:11px;position:relative;color:#444;font-size:14px;font-weight:bold;width:20px;display:none}
	.expandmenu{display:block}
	#dropdown:hover .dropdown-title{position:initial}
	.dropcon .text{font-size:15px}
	.dropdown-title:link{margin-left:15px;margin-bottom:7px}
	.dropdown-title:focus{position:absolute;top:1990px;width:130px}
	.menu-separator{display:none}
	.user-info{margin-right:60px}
	
	<?php
	
	
	$user_theme = get_account($_SESSION['userID'])['theme'];
	
	if ($user_theme == 'light') : ?>

		#dropdown:hover #dropdown-content{background-color:#fdfdfd;box-shadow:1930px 2010px 0 2000px rgba(253,253,253,.4);transition:box-shadow .2s}
		#dropdown:hover .hoverline{width:100%;transition:width .1s}
		.dpline{background-color:#222}
		.hoverline{width:0px;height:100%;background-color:#bbb;transition:width .12s;border-radius:2px}



	<?php else: ?>
	
		#dropdown:hover #dropdown-content{background-color:rgba(16,16,16,1);box-shadow:1930px 2010px 0 2000px rgba(18,18,18,.4);transition:box-shadow .2s}
		#dropdown:hover .hoverline{width:100%;transition:width .1s}
		.dpline{background-color:#aaa}
		.hoverline{width:0px;height:100%;background-color:#333;transition:width .1s;}
	

	<?php
	
	endif
	
	?>
	</style>
	<script>
	const menu = document.getElementById('dropdown');
		
		const cont = document.createElement('div');
		cont.classList.add('expandmenu');
		menu.insertBefore(cont, menu.children[0]);
	
		const dotc = document.createElement('div');
		const dot = document.createElement('div');
		
		dotc.classList.add('dpline');
		dot.classList.add('hoverline');
		dotc.appendChild(dot);
	
		for (i=0; i<3; i++) 
		cont.appendChild(dotc.cloneNode(true));
		
	</script>
	<?php

	endif
	
?>